summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDimitris Mandalidis (mandas) <mandas@users.sourceforge.net>2009-05-17 14:07:01 +0000
committerDimitris Mandalidis (mandas) <mandas@users.sourceforge.net>2009-05-17 14:07:01 +0000
commited0efbe29db53c237fb49444de22d72ec27d6e2b (patch)
tree8964f8b44cfd184fb442af3c58ced87965e4fca6
parentmedia-libs/liblqr: liblqr Changelog fix (diff)
downloadsunrise-ed0efbe29db53c237fb49444de22d72ec27d6e2b.tar.gz
sunrise-ed0efbe29db53c237fb49444de22d72ec27d6e2b.tar.bz2
sunrise-ed0efbe29db53c237fb49444de22d72ec27d6e2b.zip
dev-libs/libmail: New Ebuild for bug 270065
svn path=/sunrise/; revision=8553
-rw-r--r--dev-libs/libmail/ChangeLog8
-rw-r--r--dev-libs/libmail/Manifest4
-rw-r--r--dev-libs/libmail/libmail-0.2.ebuild28
-rw-r--r--dev-libs/libmail/metadata.xml5
4 files changed, 45 insertions, 0 deletions
diff --git a/dev-libs/libmail/ChangeLog b/dev-libs/libmail/ChangeLog
new file mode 100644
index 000000000..83eca8880
--- /dev/null
+++ b/dev-libs/libmail/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-libs/libmail
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 17 May 2009; Dimitris Mandalidis (mandas) <mandas@users.sourceforge.net>
+ +libmail-0.2.ebuild, +metadata.xml:
+ New Ebuild for bug 270065
+
diff --git a/dev-libs/libmail/Manifest b/dev-libs/libmail/Manifest
new file mode 100644
index 000000000..70d81878f
--- /dev/null
+++ b/dev-libs/libmail/Manifest
@@ -0,0 +1,4 @@
+DIST libmail-0.2.tar.bz2 247756 RMD160 d45e59328ccd581df69776e8c4d75b78dc14d45d SHA1 dab0292cbde51fb80e45b0f3ec0a6b4ae2bd89fe SHA256 9bb13e2419a31a8bb306b6cfa4a9cbd06ef9904c3282152de17b76b3813f5be4
+EBUILD libmail-0.2.ebuild 611 RMD160 ea9a0fab25b89b89d2508aa780725a2d5f02bd39 SHA1 2d75557d582c2fa2dd4df7ffe25f1c4fcb00b20f SHA256 bab6cc3edc23452e67f49555130407a16c1aa412f45ce3ea2e84a81318d6ae9c
+MISC ChangeLog 259 RMD160 36953925f0dc682e32b694048d85ec61803af2ed SHA1 74b14d7986eb441fb3fcd4d5f80974151ea6aa7a SHA256 c84d61738f4786e58c0a77605110bd7d35ef5f1ae7e7c3ff602d3ff7242c6a2c
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-libs/libmail/libmail-0.2.ebuild b/dev-libs/libmail/libmail-0.2.ebuild
new file mode 100644
index 000000000..f7d9060c0
--- /dev/null
+++ b/dev-libs/libmail/libmail-0.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="a mail handling library"
+HOMEPAGE="http://libmail.sourceforge.net"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="debug profile"
+
+DEPEND=">=dev-libs/cyrus-sasl-2"
+RDEPEND="${DEPEND}"
+
+
+src_compile() {
+ econf \
+ $(use_enable debug) \
+ $(use_enable profile)
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed"
+ dodoc README ChangeLog AUTHORS NEWS TODO || die "dodoc failed"
+}
diff --git a/dev-libs/libmail/metadata.xml b/dev-libs/libmail/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-libs/libmail/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>